=== debian/changelog ===
debian-edu-config (1.445) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Add ltsp-build-client custom script to override the default kernel
    choice from 486 to 686, to allow us to change the kernel on the
    DVD.
  * Drop dependency on autofs-ldap.  First of all, the Squeeze version
    is called autofs5-ldap, and secondly it is already a depends of the
    networked profiles.
  * Make sure run-at-firstboot only configure pdns if it is installed.

  [ Vagrant Cascadian ]
  * Also define KERNEL_VERSION, as some other plugins may use it.

  [ Andreas B. Mundt ]
  * Include gosa-server.ldif in ldap bootstrapping.

  [ Translations ]
  * Update Russian debconf translations thanks to Yuri Kozlov. (Closes: 603548)

  [ Holger Levsen ]
  * As #602765 has been fixed, again, stop deploying a copy of 
    /etc/ldap/schema/autofs.schema which belongs to the autofs(5)-ldap package. 
    (Closes: #602084)

 -- Holger Levsen <holger@debian.org>  Tue, 16 Nov 2010 23:07:44 +0100

debian-edu-config (1.444) unstable; urgency=low

  * Turn dependency on lsof into a recommends. lsof is only used by
    two optional tools related to LTSP services, while debian-edu-config
    has many other uses. (Closes: #585712)
  * Stop deploying a copy of /etc/ldap/schema/autofs.schema which belongs to
    the autofs-ldap package. Depend on autofs-ldap instead. (Closes: #602084)
    Thanks to Ralf Treinen and edos.debian.net!

 -- Holger Levsen <holger@debian.org>  Sat, 06 Nov 2010 17:58:58 +0100

debian-edu-config (1.443) unstable; urgency=low

  [ Jürgen Leibner ]
  * Little cleanup of the smb.conf and adjust the examples to match
    the new configuration using kerberos.

  [ Andreas B. Mundt ]
  * Complete gosa-server.ldif: Add missing dns and dhcp entries.
  * Add echo message to help the user with re-initializing the
    kerberos KDC.
  * Improve password changes done by GOsa: Do not show common users the
    passwords in the process list

  [ Petter Reinholdtsen ]
  * Rewrite setup-roaming to use sssd+libpam-mklocaluser instead of
    libpam-ccreds+libpam-localoffline and nscd.  Make it use a
    sssd.conf file included in the package, to make it possible to
    update the configuration using package upgrades.  Switch to use
    Kerberos for authentication, and purge libpam-ldapd and
    libpam-krb5 to avoid duplicate password checking and nscd to avoid
    duplicate caching.
  * Add libpam-mklocaluser hook script for roaming workstations to add
    a KDE and Gnome bookmark/places link to the SMB exported home
    directory when the local user is created.  Use sambaHomePath
    attribute from LDAP if it is set to locate the SMB mount point,
    and generate if from the NFS mount point if the attribute is not
    set.
  * Adjust the roaming NSS setup to use LDAP for network names too.
  * Adjust roaming setup, remove obsolete nslcd config and add sss to
    netgroup part of nsswitch.conf to use it when sssd get netgroup
    support.
  * Try to generates sssd configuration dynamically and fall back to
    static setup if this fail.
  * Depend on ldap-utils to ensure ldapsearch is available when it is
    needed by the autodetection and test code.
  * Adjust roaming setup, purge the killer package to avoid throwing
    out the user when idle.
  * Add default config for networkmanager-kde on networked KDE
    systems, to not start it at login.
  * Add autostart entry to start the web browser with http://www/ as
    the welcome page when a user log in for the first time.  The URL
    is fetched from LDAP using the labeledURI attribute from RFC 2079
    in the users LDAP object and all parent objects up to and
    including dc=skole,dc=skolelinux,dc=no object, as well as the root
    DSE, to make it easy for administrators to change the start page
    for new users using the LDAP protocol. Add labeledURIObject object
    class to LDAP subtree object People, Students and Teachers as well
    as the base object.
  * Test suite:
    - Rewrite dnsd tests to no longer look for obsolete DNS entries
      (the ltspserver00, static00 and static200 entries are no longer
      in DNS).
    - Start on code to check the Kerberos server.
    - Add LTSP test to verify that IPv4 forwarding is enabled in the
      kernel.
    - Add LTSP test to verify that the default settings are available
      in LDAP.
    - Add LTSP test to verify that ldinfod can be contacted outside
      localhost (detects #519316 in inetutils-inetd).
    - Extend samba test to verify the sambadomain object is present in
      LDAP.
    - Extend samba test to verify that the net binary is available,
      and use it to verify that the Domain Admins group is listed in
      the samba group map.
    - Change samba test to look for the smbadmin user anywhere in
      LDAP, and not under a fixed CN.
    - Adjust ldap-client test to not check nscd but instead check sssd
      with roaming workstations.
    - Add ldap-client test to verify that only one of krb5, ldap and
      sss PAM modules is enabled.
    - Change ldap-client test to not look for cn=machines which seem
      to be unused but look for cn=admins instead.  Change it also to
      search only from the base to not require any specific structure.
    - Extend ldap-client test to check that certificate verification
      is enabled for nslcd, sssd and ldapsearch.
    - Start on test suite for the sudo in LDAP setup.
    - Update dhcpd test to look for the new binary name dhcpd.
    - Extend ldap-server to verify that encryption is enforced for
      LDAP bind.
    - Change the CUPS test to only check http access to www on the
      Main-Server profiles, and check access to localhost for all
      profiles.  Add check for https.
    - Create new nagios test script, to verify that Nagios do not
      report any errors after installation.
    - Try to detect and report if bug #582568 in kde/kdm is still
      present in the kdm test.

