## debian-edu-config 1.446

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 	debian-edu-restart-services \
 	debian-edu-test-install \
 	debian-edu-update-netblock \
-	snakeoil-on-ice \
-	update-hostname-from-ip
+	snakeoil-on-ice 
 
 INSTALL     = install -D -p -m 755
 INSTALL_DATA= install -D -p -m 644
@@ -40,9 +39,9 @@
 
 
 CFFILES = \
+	cf.adduser \
 	cf.apache2 \
 	cf.apt \
-	cf.pdns \
 	cf.cfengine \
 	cf.cups \
 	cf.dhcpserver \
@@ -52,12 +51,16 @@
 	cf.iceweasel \
 	cf.inetd \
 	cf.kdm \
+	cf.krb5client \
 	cf.ldapserver \
 	cf.ldapclient \
+	cf.bind \
 	cf.ltsp \
+	cf.pxeinstall \
 	cf.lwat \
 	cf.fstab \
 	cf.mplayer \
+	cf.network-manager \
 	cf.nagios3 \
 	cf.ntp \
 	cf.samba \
@@ -77,20 +80,24 @@
 	asound.conf \
 	apt/apt.conf.d/90squid \
 	apt/apt.conf.d/99-edu-prefer-iceweasel \
+	bind/named.conf.ldap2zone \
+	bind/db.intern \
+	bind/db.10.in-addr.arpa. \
+	bind/db.subnet00.intern. \
+	bind/db.subnet01.intern. \
+	bind/db.0.168.192.in-addr.arpa. \
+	bind/db.1.168.192.in-addr.arpa. \
 	X11/Xsession.d/05debian-edu-truncate-xerrorlog \
 	X11/Xsession.d/10debian-edu-one-login-per-host \
-	X11/Xsession.d/15debian-edu-ltsp \
 	desktop-profiles/debian-edu-config.listing \
 	debian-edu/hd-warn.conf \
 	debian-edu/nightkill.conf \
 	debian-edu/lts.conf.dist \
-	default/backdoor \
 	default/munin-node \
 	cfengine/cfservd.conf \
 	cfengine/update.conf \
 	cfengine/inputs/cfagent.conf \
 	cups/cupsd-debian-edu.conf \
-	dhcp/dhclient-exit-hooks.d/hostname-update \
 	dhcp/dhclient-exit-hooks.d/wpad-proxy-update \
 	dhcp/dhcpd-debian-edu.conf \
 	dhcp/dhclient-debian-edu.conf \
@@ -98,18 +105,42 @@
 	exim4/exim-ldap-server-v4.conf \
 	filesystems \
 	gosa/gosa.conf \
+	php5/apache2/php-debian-edu.ini \
 	insserv/overrides/kdm \
 	insserv/overrides/ntp \
 	insserv.conf.d/debian-edu-config \
 	ldap/rootDSE-debian-edu.ldif \
 	ldap/slapd-squeeze_debian-edu.conf \
 	ldap/ssl/slapd-cert.cnf \
-	samba/netlogon/login.bat \
-	samba/netlogon/shortcut.vbs \
+	samba/netlogon/1stlogon/1stlogon.bat \
+	samba/netlogon/config/get_time.bat \
+	samba/netlogon/config/penguin.bat \
+	samba/netlogon/config/setglobals.bat \
+	samba/netlogon/config/standarddrives-students.bat \
+	samba/netlogon/config/standarddrives-teachers.bat \
+	samba/netlogon/debian-edu-login.bat \
+	samba/netlogon/_default_/default.bat \
+	samba/netlogon/install/shortcut.vbs \
+	samba/netlogon/logon-admins.bat \
+	samba/netlogon/logon-jradmins.bat \
+	samba/netlogon/logon-students.bat \
+	samba/netlogon/logon-teachers.bat \
+	samba/netlogon/mozilla/firefox/prefs.js \
+	samba/netlogon/mozilla/mkmozapd.bat \
+	samba/netlogon/mozilla/profiles.ini.FIREFOX \
+	samba/netlogon/mozilla/profiles.ini.THUNDERBIRD \
+	samba/netlogon/registry/proxy-ie/proxy-settings-hkcu.reg \
+	samba/netlogon/win7+samba_domain-membership/DownloadWinRessourceKits.bat \
+	samba/netlogon/win7+samba_domain-membership/README_Win7-Domain-Membership.txt \
+	samba/netlogon/win7+samba_domain-membership/SeSystemTimePrivilege.bat \
+	samba/netlogon/win7+samba_domain-membership/Win7_Samba3DomainMember.reg \
+	samba/smb-debian-edu-client.conf \
 	samba/smb-debian-edu.conf \
 	samba/smb-winbind-debian-edu.conf \
 	security/pam_mount-winbind-debian-edu.conf \
 	security/pam_mount-stateless-debian-edu.conf \
+	smbldap-tools/smbldap_bind.conf \
+	smbldap-tools/smbldap.conf \
 	sssd/sssd-debian-edu.conf \
 	xdg/autostart/welcome-webpage.desktop \
 	lsb-release \
@@ -150,7 +181,8 @@
 	resolvconf/update.d/bind-debian-edu \
 	resolvconf/update.d/ltsp-chroots \
 	X11/Xsession-debian-edu \
-	samba/smbaddclient.pl
+	samba/smbaddclient.sh \
+	samba/smbldap-machineadd-gosa
 
 SCHEMAS = \
 	samba.schema \
@@ -177,17 +209,18 @@
 	autofs.ldif \
 	ipnetworks.ldif \
 	netgroup.ldif \
-	dhcp.ldif \
-	dhcp_hosts.ldif \
-	dns_skole.ldif \
-	dns_arpa.ldif \
-	dns_ranges.ldif \
 	samba.ldif \
 	sudo.ldif \
 	krb5.ldif \
 	ltsp.ldif \
 	gosa.ldif \
 	gosa-server.ldif
+#	dhcp.ldif \
+#	dhcp_hosts.ldif \
+#	dns_skole.ldif \
+#	dns_arpa.ldif \
+#	dns_ranges.ldif \
+	
 
 LDAPPROGRAMS = \
 	ldap-add-host-to-netgroup \
@@ -201,6 +234,7 @@
 	sitesummary2ldapdhcp
 
 WWWFILES = \
+	index.html.ca \
 	index.html.de \
 	index.html.en \
 	index.html.es \
@@ -208,6 +242,7 @@
 	index.html.it \
 	index.html.nb \
 	index.html.nl \
+	index.html.pt \
 	index.html.ru \
 	index.html.zh \
 	skl-ren_css.css \
@@ -340,34 +375,3 @@
 		share/debian-edu-config/ltsp_local_mount \
 		share/initramfs-tools/scripts/nfs-bottom/before-ltsp \
 		share/ltsp/ltsp_config.d/debian-edu-config-ldap \
-		share/ltsp/ltsp_config.d/debian-edu-config-rwbind \
-	; do \
-		$(INSTALL) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	set -e ; for f in share/debian-edu/common/share/config/kcookiejarrc \
-		share/debian-edu/common/share/apps/kicker/default-apps \
-		share/debian-edu/common/share/config/artsmessagerc \
-		share/debian-edu/common/share/config/kdeglobals \
-		share/debian-edu/common/share/config/kdeprintrc \
-		share/debian-edu/common/share/config/kpersonalizerrc \
-		share/debian-edu/common/share/config/konquerorrc \
-		share/debian-edu/common/share/config/kickoffrc \
-		share/debian-edu/common/share/config/nepomukserverrc \
-		share/debian-edu/common/share/mimelnk/applnk/msword.desktop \
-		share/debian-edu/networked-kde3/share/config/kioslaverc \
-		share/debian-edu/networked-kde3/share/config/adept_notifierrc \
-		share/debian-edu/networked-kde3/share/config/networkmanagementrc \
-		share/debian-edu/thin-client/share/config/kcmartsrc \
-	; do \
-		$(INSTALL_DATA) $$f $(DESTDIR)/usr/$$f ; \
-	done
-
-	set -e ; for f in $(KIOSKFILES) ; do \
-		$(INSTALL_DATA) "$$f" "$(DESTDIR)/usr/$$f" ; \
-	done
-
-	set -e ; for f in \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/000-arch-detection \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/000-default-dist \
- share/ltsp/plugins/ltsp-build-client/Debian-custom/002-default-apt-keyring \
