=== www/Makefile ===
--- 
+++ 
@@ -8,13 +8,15 @@
 WEBPAGES = \
   index.html.de \
   index.html.en \
+  index.html.ca \
   index.html.es \
   index.html.nl \
   index.html.nb \
   index.html.fr \
   index.html.it \
+  index.html.pt \
   index.html.ru \
-  index.html.zh
+  index.html.zh 
 
 all: index.pot $(WEBPAGES)
 
@@ -23,6 +25,10 @@
 
 index.html.de: index.html.en de.po
 	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p de.po -l $@.new -o attributes='<html><head><meta>content'
+	mv $@.new $@
+
+index.html.ca: index.html.en ca.po
+	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p ca.po -l $@.new -o attributes='<html><head><meta>content'
 	mv $@.new $@
 
 index.html.es: index.html.en es.po
@@ -45,6 +51,10 @@
 	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p nb.po -l $@.new -o attributes='<html><head><meta>content'
 	mv $@.new $@
 
+index.html.pt: index.html.en pt.po
+	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p pt.po -l $@.new -o attributes='<html><head><meta>content'
+	mv $@.new $@
+
 index.html.ru: index.html.en ru.po
 	po4a-translate -f xhtml -M UTF-8 -m index.html.en -p ru.po -l $@.new -o attributes='<html><head><meta>content'
 	mv $@.new $@
