=== debian/changelog ===
debian-edu-config (1.446) unstable; urgency=low

  * Release of thirty-nine prereleases done in Debian Edu to Debian sid, 
    aimed at Debian squeeze. See below for exact list of changes.

  * debian-edu-config (1.446~svn74353) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Change approach to increase entropy in
    /usr/share/debian-edu-config/d-i/finish-install to trigger
    disk IO instead of trying to increase the entropy amount by
    adding to /dev/urandom.
  * Reintroduce file descriptor closing when starting bind9, as
    it seem to solve part of the problem.

  * debian-edu-config (1.446~svn74336) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Undo change to close file descriptor 3 when starting bind9.
    It did not really address the problem, which is running out
    of entropy during installation.
  * Add code in /usr/share/debian-edu-config/d-i/finish-install
    to try to add more entropy when running low.

  * debian-edu-config (1.446~svn74325) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Disable browser.safebrowsing.malware.enabled and
    browser.safebrowsing.enabled in Iceweasel, to avoid excessive I/O
    on the home directory server when several users log in.
    (Closes: #652535)
  * Make sure to close file descriptor 3 when starting bind9 from the
    installer, to avoid hanging the installer while waiting for it to
    close.

  * debian-edu-config (1.446~svn74311) squeeze-test; urgency=low

  [ Petter Reinholdtsen ]
  * Add new LDAP index for uniqueMember attribute in
    slapd-squeeze_debian-edu.conf, to ensure libnss-ldapd searches are
    processed quickly and syslog do not will up with heaps of messages
    stating "<= bdb_equality_candidates: (uniqueMember) not indexed".
  * Extend testsuite/ldap-server to include a simple stress test
    ensuring that the LDAP server work also with more than 1024 LDAP
    connections open.  Should ensure that problem discovered with
    Debian Edu/Lenny do not resurface.

  * debian-edu-config (1.446~svn74227) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Prepare LTSP rwbind on diskless workstations for /var/log/ntpstats
    (addresses #638287), currently commented out because of RAM consumption
    on diskless workstations.
  * Provide LTSP rwbind on diskless workstations for /var/lib/alsa. Silence
    an error report on diskless workstation shutdown.

  [ Andreas B. Mundt ]
  * Fix regex in gosa-remove: A username may contain dots.

  * debian-edu-config (1.446~svn74195) squeeze-test; urgency=low

  [ Holger Levsen ]
  * Makefile: deploy cf.pxeinstall too.

  * debian-edu-config (1.446~svn74178) squeeze-test; urgency=low

  [ Holger Levsen ]
  * ldap-tools/mkslapdcert: make more robust.
  * cf/cf.adduser and cf.dhcpserver: don't run sbin/debian-edu-pxeinstall
    anymore, instead add a new script cf/cf.pxeinstall for this
    purpose. (Closes: #630970) 
  * If this still doesn't make the hanging at the end of debian-edu-profile
    finish-install go away, I suggest to try with /dev/urandom, to be set in 
    slapd-cert.cnf.

  * debian-edu-config (1.446~svn74165) squeeze-test; urgency=low

  [ Holger Levsen ]
  * ldap-tools/mkslapdcert: invoke /etc/init.d/urandom start of
    /var/lib/urandom/random-seed doesn't exist. 

  * debian-edu-config (1.446~svn74129) squeeze-test; urgency=low

  [ Holger Levsen ]
  * ldap-tools/mkslapdcert: try harder to fix #630970, grep in more
    directories.

  * debian-edu-config (1.446~svn74128) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * ldap2bind command during LDAP bootstrap (installation) has to
    run as user ,,bind''.
  * Fix for SVN r74090, saving of roaming profiles.
  * Assure that all Samba related config files are included in d-e-c package,
    esp. adding Win7+Samba related patches and cmd scripts.

  * debian-edu-config (1.446~svn74106) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Add cf.krb5client to Makefile.

  * debian-edu-config (1.446~svn74095) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Fix saving of roaming profiles for Windows XP.
  * Disable UAC on Windows 7 systems by default.
  * Samba netlogon: fix for 1stlogon.bat script plus filename
    fix for IE proxy registry patch.

  * debian-edu-config (1.446~svn74072) squeeze-test; urgency=low

  [ Holger Levsen ]
  * cupsd-debian-edu.conf: allow printing from 10.0.0.0/8.
  * ldap-bootstrap/dhcp.ldif and ipnetworks.ldif: updated for using 
    10.0.0.0/8.
  * cf/cf.syslog and cf.ltsp: updated for using 10.0.0.0/8.
  * /etc/cfengine/cfservd.conf: updated for using 10.0.0.0/8.
  * tools/subnet-change: updated to use 10.0.0.0/8.

  [ Mike Gabriel ]
  * Suppress dovecot warning message that appears on daemon start
    if IMAP login has not happened so far.
  * Disable IPv6 for Samba on Skolelinux systems (clients+server).
  * LDAP-bootstrap: Add _kerberos TXT record for default realm INTERN,
    add _kerberos-master SRV record and _kerberos-adm SRV record. Cfengine:
    Manipulate krb5.conf file on all networked systems, setting dns_lookup_kdc
    and dns_lookup_realm to true. (Closes: #629062, #638285)
  * Initial sync of DNS information from LDAP to bind9 config during LDAP
    bootstrap.
  * Provide registry patchset and some helper scripts (.bat) that facilitate
    Windows 7 (or Windows 2008 Server) joining to the SKOLELINUX Samba domain.
  * Handle removal of conffiles (init scripts: update-hostname, open-backdoor,
    resize_lvm) in preinst _and_ postinst.
  * Make 1stlogon.bat script (Samba netlogon share) functional for WinXP and
    Win7.

  * debian-edu-config (1.446~svn74028) squeeze-test; urgency=low

  [ Mike Gabriel ]
  * Disabled debugging option (set -x) in mkslapdcert.
  * Add php.ini (PHP5) for Debian Edu server.
  * Tweak php.ini for GOsa² mass imports (raise execution and input time,
    memory limit, closes: #638434).
  * Work around libnss caching problems and script error handling in Samba.


