=== debian/rules ===
--- 
+++ 
@@ -27,16 +27,15 @@
 	install -d $(DESTDIR)
 	cd $(DESTDIR) && install -d `cat ../dirs`
 	$(MAKE) install prefix=/usr DESTDIR=$(DESTDIR)
+	dh_install --exclude=.svn
 	dh_installdebconf
 	dh_installdocs
 	dh_installdirs
 	dh_installcron
-	dh_installinit --init-script open-backdoor
 	# Start it after 91apache
 	dh_installinit --init-script fetch-ldap-cert -r --no-start -u"start 95 2 3 4 5 ."
 	dh_installinit --init-script enable-nat --no-start
 	# Should start before syslog, to make sure the correct hostname is used in logs
-	dh_installinit --init-script update-hostname --no-start -u"start 05 2 3 4 5 ."
 	dh_installinit --init-script start-wlan --no-start
 	dh_installinit --init-script report-reboot -r --no-start -u"start 20 2 3 4 5 ."
 	dh_installchangelogs
